IOSS 2.0

Public Member Functions | Public Attributes | List of all members
Ioss::BlockDecompositionData Class Reference

`#include <Ioss_Decomposition.h>`

## Public Member Functions
| BlockDecompositionData ()=default
const std::string & | name () const
int | zone () const
int | section () const
int64_t | id () const
size_t | file_count () const
size_t | ioss_count () const
size_t | global_count () const

## Public Attributes
std::string | name_ {}
int | zone_ {0}
int | section_ {0}
size_t | fileSectionOffset {0}
int64_t | id_ {0}
size_t | fileCount {0}
size_t | iossCount {0}
size_t | globalCount {0}
size_t | zoneNodeOffset {0}
std::string | topologyType {"unknown"}
int | nodesPerEntity {0}
int | attributeCount {0}
size_t | localIossOffset {0}
std::vector< int > | localMap
std::vector< int > | exportMap
std::vector< int > | exportCount
std::vector< int > | exportIndex
std::vector< int > | importMap
std::vector< int > | importCount
std::vector< int > | importIndex

## Constructor & Destructor Documentation

## ◆ BlockDecompositionData()

Ioss::BlockDecompositionData::BlockDecompositionData | ( |  | ) |
| default

## Member Function Documentation

## ◆ file_count()

size_t Ioss::BlockDecompositionData::file_count | ( |  | ) | const
| inline

## ◆ global_count()

size_t Ioss::BlockDecompositionData::global_count | ( |  | ) | const
| inline

## ◆ id()

int64_t Ioss::BlockDecompositionData::id | ( |  | ) | const
| inline

## ◆ ioss_count()

size_t Ioss::BlockDecompositionData::ioss_count | ( |  | ) | const
| inline

## ◆ name()

const std::string& Ioss::BlockDecompositionData::name | ( |  | ) | const
| inline

## ◆ section()

int Ioss::BlockDecompositionData::section | ( |  | ) | const
| inline

## ◆ zone()

int Ioss::BlockDecompositionData::zone | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ attributeCount

int Ioss::BlockDecompositionData::attributeCount {0}

## ◆ exportCount

std::vector<int> Ioss::BlockDecompositionData::exportCount

## ◆ exportIndex

std::vector<int> Ioss::BlockDecompositionData::exportIndex

## ◆ exportMap

std::vector<int> Ioss::BlockDecompositionData::exportMap

## ◆ fileCount

size_t Ioss::BlockDecompositionData::fileCount {0}

## ◆ fileSectionOffset

size_t Ioss::BlockDecompositionData::fileSectionOffset {0}

## ◆ globalCount

size_t Ioss::BlockDecompositionData::globalCount {0}

## ◆ id_

int64_t Ioss::BlockDecompositionData::id_ {0}

## ◆ importCount

std::vector<int> Ioss::BlockDecompositionData::importCount

## ◆ importIndex

std::vector<int> Ioss::BlockDecompositionData::importIndex

## ◆ importMap

std::vector<int> Ioss::BlockDecompositionData::importMap

## ◆ iossCount

size_t Ioss::BlockDecompositionData::iossCount {0}

## ◆ localIossOffset

size_t Ioss::BlockDecompositionData::localIossOffset {0}

## ◆ localMap

std::vector<int> Ioss::BlockDecompositionData::localMap

## ◆ name_

std::string Ioss::BlockDecompositionData::name_ {}

## ◆ nodesPerEntity

int Ioss::BlockDecompositionData::nodesPerEntity {0}

## ◆ section_

int Ioss::BlockDecompositionData::section_ {0}

## ◆ topologyType

std::string Ioss::BlockDecompositionData::topologyType {"unknown"}

## ◆ zone_

int Ioss::BlockDecompositionData::zone_ {0}

## ◆ zoneNodeOffset

size_t Ioss::BlockDecompositionData::zoneNodeOffset {0}

The documentation for this class was generated from the following file:

- src/Ioss_Decomposition.h